Do not show duplicated remote branch information and reformat the output as:
$ git fetch -v # the committish lines for the -v.
* refs/heads/origin: fast forward to remote branch 'master' of ../git/
1ad7a06..bc1a580
committish: bc1a580
* refs/heads/pu: does not fast forward to remote branch 'pu' of ../git/;
7c733a8...5faa935
not updating.
forcing update.
committish: 5faa935
* refs/heads/next: same as remote branch 'origin/next' of ../git/
committish: ce47b9f
...
* refs/tags/v1.4.2-rc4: storing tag 'v1.4.2-rc4' of ../git/
committish: 8c7a107
$ git fetch -v origin refs/heads/master
* committish: 695dffe
branch 'master' of ../git/
Signed-off-by: Santi Béjar <redacted>
---
git-fetch.sh | 15 +++++++++++----
1 files changed, 11 insertions(+), 4 deletions(-)
diff --git a/git-fetch.sh b/git-fetch.sh
index ee4f5bd..cc71612 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -129,19 +129,26 @@ append_fetch_head () {
then
headc_=$(git-rev-parse --verify "$head_^0") || exit
echo "$headc_ $not_for_merge_ $note_" >>"$GIT_DIR/FETCH_HEAD"
- [ "$verbose" ] && echo >&2 "* committish: $(git-rev-parse --short $head_)"
- [ "$verbose" ] && echo >&2 " $note_"
+ committish=committish
else
echo "$head_ not-for-merge $note_" >>"$GIT_DIR/FETCH_HEAD"
- [ "$verbose" ] && echo >&2 "* non-commit: $(git-rev-parse --short $head_)"
- [ "$verbose" ] && echo >&2 " $note_"
+ committish=non-commit
fi
+ star_prefix="*"
if test "$local_name_" != ""
then
# We are storing the head locally. Make sure that it is
# a fast forward (aka "reverse push").
fast_forward_local "$local_name_" "$head_" "$note_"
+ exit=$?
+ star_prefix=" "
fi
+ if test "$verbose"
+ then
+ echo >&2 "$star_prefix $committish: $(git-rev-parse --short $head_)"
+ [ -z "$local_name_" ] && echo >&2 " $note_"
+ fi
+ return ${exit:-0}
}
fast_forward_local () {--
1.4.2.1.g38049